Get an org by name
curl --request GET \
--url https://api.cpln.io/org/{name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.cpln.io/org/{name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.cpln.io/org/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"kind": "<string>",
"version": 123,
"description": "<string>",
"tags": {},
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"links": [
{
"rel": "<string>",
"href": "<string>"
}
],
"name": "<string>",
"spec": {
"logging": {
"s3": {
"bucket": "<string>",
"region": "<string>",
"prefix": "/",
"credentials": "<string>"
},
"coralogix": {
"credentials": "<string>",
"app": "<string>",
"subsystem": "<string>"
},
"datadog": {
"credentials": "<string>"
},
"logzio": {
"credentials": "<string>"
},
"elastic": {
"aws": {
"host": "<string>",
"port": 123,
"index": "<string>",
"type": "<string>",
"credentials": "<string>",
"region": "<string>"
},
"elasticCloud": {
"index": "<string>",
"type": "<string>",
"credentials": "<string>",
"cloudId": "<string>"
},
"generic": {
"host": "<string>",
"port": 123,
"path": "<string>",
"index": "<string>",
"type": "<string>",
"credentials": "<string>",
"username": "<string>",
"password": "<string>"
}
},
"cloudWatch": {
"credentials": "<string>",
"retentionDays": 123,
"groupName": "<string>",
"streamName": "<string>",
"extractFields": {}
},
"fluentd": {
"host": "<string>",
"port": 123
},
"stackdriver": {
"credentials": "<string>"
},
"syslog": {
"host": "<string>",
"port": 123,
"mode": "tcp",
"format": "rfc5424",
"severity": 123
},
"opentelemetry": {
"endpoint": "<string>",
"headers": {},
"credentials": "<string>"
},
"loki": {
"endpoint": "<string>",
"credentials": "<string>",
"tenantId": "<string>"
}
},
"extraLogging": [
{
"s3": {
"bucket": "<string>",
"region": "<string>",
"prefix": "/",
"credentials": "<string>"
},
"coralogix": {
"credentials": "<string>",
"app": "<string>",
"subsystem": "<string>"
},
"datadog": {
"credentials": "<string>"
},
"logzio": {
"credentials": "<string>"
},
"elastic": {
"aws": {
"host": "<string>",
"port": 123,
"index": "<string>",
"type": "<string>",
"credentials": "<string>",
"region": "<string>"
},
"elasticCloud": {
"index": "<string>",
"type": "<string>",
"credentials": "<string>",
"cloudId": "<string>"
},
"generic": {
"host": "<string>",
"port": 123,
"path": "<string>",
"index": "<string>",
"type": "<string>",
"credentials": "<string>",
"username": "<string>",
"password": "<string>"
}
},
"cloudWatch": {
"credentials": "<string>",
"retentionDays": 123,
"groupName": "<string>",
"streamName": "<string>",
"extractFields": {}
},
"fluentd": {
"host": "<string>",
"port": 123
},
"stackdriver": {
"credentials": "<string>"
},
"syslog": {
"host": "<string>",
"port": 123,
"mode": "tcp",
"format": "rfc5424",
"severity": 123
},
"opentelemetry": {
"endpoint": "<string>",
"headers": {},
"credentials": "<string>"
},
"loki": {
"endpoint": "<string>",
"credentials": "<string>",
"tenantId": "<string>"
}
}
],
"tracing": {
"sampling": 123,
"lightstep": {
"endpoint": "<string>",
"credentials": "<string>"
},
"customTags": {},
"provider": {
"otel": {
"endpoint": "<string>"
},
"lightstep": {
"endpoint": "<string>",
"credentials": "<string>"
},
"controlplane": {}
}
},
"sessionTimeoutSeconds": 123,
"authConfig": {
"domainAutoMembers": [
"<string>"
],
"samlOnly": true
},
"observability": {
"logsRetentionDays": 123,
"metricsRetentionDays": 123,
"tracesRetentionDays": 123,
"defaultAlertEmails": [
"<string>"
]
},
"security": {
"threatDetection": {
"enabled": true,
"syslog": {
"transport": "tcp",
"host": "<string>",
"port": 123
}
}
}
},
"status": {
"accountLink": "<string>",
"active": true,
"endpointPrefix": "<string>"
}
}{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}Org
Get an org by name
Response will contain the requested org if the caller is authorized to view it
GET
/
org
/
{name}
Get an org by name
Authorizations
serviceAccountKeyjwt
Service account key can be used as API keys
Path Parameters
Response
Success
Maximum string length:
250Show child attributes
Show child attributes
Maximum string length:
64Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I